Межсайтовый скриптинг в Citrix NetScaler

Дата публикации:
19.11.2007
Дата изменения:
28.07.2008
Всего просмотров:
1039
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Citrix Netscaler 8.x
Уязвимые версии: Citrix NetScaler 8.0 build 47.8, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "standalone" в сценарии generic_api_call.pl. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://www.example.com/ws/generic_api_call.pl?function=statns&standalone=%3c/script%3e%3cscript%3ealert(document.cookie)%3c/script%3e%3cscript%3e

URL производителя: www.citrix.com/English/ps2/products/product.asp?contentID=21679

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA